1. Service Requests
Calven Developer Docs
beta
  • latest
  • beta
  • Overview
  • SDKs
  • Access Control
  • HMAC Authentication
  • Basic Authentication
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
      GET
    • Groups (Basic auth)
      GET
    • Locations (Basic auth)
      GET
    • Desks (Basic auth)
      GET
    • Bookings & Attendance (Basic auth)
      GET
    • Presence (Basic auth)
      GET
    • User Actions Log (Basic auth)
      GET
    • Events (Basic auth)
      GET
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
    • Events
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Service Requests
    • Service Offerings
      GET
    • Service Offering
      GET
    • Submit a service request
      POST
    • Service Request
      GET
    • Update a service request
      PATCH
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Service Requests

Service Request

GET
/v1/service-requests/{serviceRequestId}
Returns a Service Request and its current status. Only requests raised with the same API key are returned; any other ID returns 404.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/service-requests/'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "serviceRequestId": "sr-7f3a",
    "type": "meetingBound",
    "offeringId": "off-catering-v3",
    "locationId": "loc-sydney-hq",
    "status": "accepted",
    "calendarEventId": "ce-91c2",
    "answers": [
        {
            "questionId": "q-dietary",
            "kind": "text",
            "value": "string",
            "freeText": "string"
        }
    ],
    "requester": {
        "principalId": "b0f6c1d2-3e4f-4a5b-8c7d",
        "principalType": "external"
    },
    "assignee": {
        "principalId": "b0f6c1d2-3e4f-4a5b-8c7d",
        "principalType": "external"
    },
    "requiredAtOffsetMinutes": -15,
    "createdAt": "2026-10-13T04:12:00.000Z",
    "updatedAt": "2026-10-13T04:12:00.000Z"
}
🟠401Unauthorized
Modified at 2026-10-16 03:07:55
Previous
Submit a service request
Next
Update a service request
Built with